import { HTMLWidget } from "@hpcc-js/common";
import "../src/Editor.css";
export interface IPosition {
    line: number;
    ch: number;
}
export declare class Editor extends HTMLWidget {
    private _codemirror;
    private _markedText;
    protected _initialText: string;
    options(): any;
    hasFocus(): boolean;
    text(): string;
    text(_: string): this;
    highlight(start: IPosition | number, end: IPosition | number, className?: string): this;
    highlightInfo(start: IPosition | number, end: IPosition | number): this;
    highlightWarning(start: IPosition | number, end: IPosition | number): this;
    highlightError(start: IPosition | number, end: IPosition | number): this;
    removeAllHighlight(): this;
    positionAt(i: number): IPosition;
    highlightSubstring(str: string): void;
    setCursor(row: number, col: number, focus?: boolean): void;
    enter(domNode: any, element: any): void;
    update(domNode: any, Element: any): void;
    changes(changes: object[]): void;
}
export interface Editor {
    readOnly(): boolean;
    readOnly(_: boolean): this;
}
//# sourceMappingURL=Editor.d.ts.map